Bug 4027 - Add --evrd option to urpmq
: Add --evrd option to urpmq
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-14 00:07 MSD by Denis Silakov
Modified: 2014-05-20 14:36 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-05-14 00:07:02 MSD
For ABF purposesm we need to teach urpmq to display not only version-release of the package, but the complete EVRD set (Epoch-version-release-distepoch).
Comment 1 Denis Silakov 2014-05-14 12:50:10 MSD
Advisory:
Added --evrd option to urpmq which will display Epoch, Version, Release and Disepoch for packages. This option is primarily intended to be used by ABF and other scripts, but can be useful for ordinary users, as well.

Build lists:
https://abf.io/build_lists/1862434
https://abf.io/build_lists/1862435
Comment 2 Vladimir Potapov 2014-05-19 13:48:33 MSD
#urpmq --help |grep ervd
#

The options don't present in help
Comment 3 Denis Silakov 2014-05-19 13:56:31 MSD
You have made a typo - 'evrd', not 'ervd':)
Comment 4 Vladimir Potapov 2014-05-19 16:03:04 MSD
(In reply to comment #3)
> You have made a typo - 'evrd', not 'ervd':)
Oh! I'm sorry...
Comment 5 Vladimir Potapov 2014-05-19 16:04:42 MSD
(In reply to comment #4)
> (In reply to comment #3)
> > You have made a typo - 'evrd', not 'ervd':)
> Oh! I'm sorry...
but localization don't work
Comment 6 Denis Silakov 2014-05-20 11:56:50 MSD
Added l10n:

https://abf.io/build_lists/1867244
https://abf.io/build_lists/1867245
Comment 7 Vladimir Potapov 2014-05-20 14:34:00 MSD
urpmi-6.71-63
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1867244/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1867245/x86_64/main/release/
********************************** Advisory ***************************
Added --evrd option to urpmq which will display Epoch, Version, Release and Disepoch for packages. This option is primarily intended to be used by ABF and other scripts, but can be useful for ordinary users, as well.
***********************************************************************
QA Verified